### Method

# GLib MatchInfo next

since: 2.14

#### Declaration [src]

    gboolean
    g_match_info_next (
      GMatchInfo* match_info
      GError** error
    )

#### Description [src]

Scans for the next match using the same parameters of the previous call to `g_regex_match_full()` or `g_regex_match()` that returned `match_info`.

The match is done on the string passed to the match function, so you cannot free it before calling this function.

Available since: 2.14

#### Return value

Type: `gboolean`

`TRUE` is the string matched, `FALSE` otherwise.